package com.hd.live.wallpapers.net;

import okhttp3.Interceptor;
import okhttp3.Response;

import java.io.IOException;

public class RequestInterceptor implements Interceptor {

    private final MyRequestBody.ProgressListener progressListener;

    public RequestInterceptor(MyRequestBody.ProgressListener progressListener) {
        this.progressListener = progressListener;
    }

    @Override
    public Response intercept(Chain chain) throws IOException {
        Response originalResponse = chain.proceed(chain.request());
        String fileLength = originalResponse.header("File-Length");
        if (fileLength == null) {
            fileLength = "0";
        }
        return originalResponse.newBuilder()
                .body(new MyRequestBody(originalResponse.body(), fileLength, progressListener))
                .build();
    }
}

